Subject: Re: I'm missing isofs.h

From: "David A. Wheeler" <[email-masked]>
Date: Thu, 28 Apr 2005 19:39:04 -0400

Petr Baudis wrote:
> There's no reason not to get the timestamps too if you can; just put
> them after the attributes. They aren't in the diff now either.
> 
> I need the mode bits to set the mode right, surprisingly. :-) Yes, in
> part it is a leftover from the old times when we didn't just track the
> execute bit; I don't know if it is worth changing this.

Actually, I like having the full mode bits in there.
"git" actually can be useful as a more general capability for
keeping careful track of an entire tree that's NOT just source code
(e.g., your entire home directory tree, so you can replicate it
across machines in its current state).

I can easily imagine an option flag
that stores "modes as they really are", and another that says
"use the modes as they are stored".  Add some support for symlinks,
and you could do quite a bit. Timestamps would be ducky,
too, for the same reason.

--- David A. Wheeler